Bug 823245 - RFE yum-plugin-security as repo file config option
RFE yum-plugin-security as repo file config option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 05:45 EDT by Frank Murphy
Modified: 2014-01-21 18:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:55:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2012-05-20 05:45:16 EDT
Description of problem: 
yum-plugin-security currently cannot be set in a repo file eg. security=1

Which means say, updates-testing could be set to:
enabled=1
security=1
skip_broken=1


When working with shared cache among boxes, with keepcache=1
Much tidier that trying to run crons with --enablerepo=*testing --security
Comment 1 James Antill 2012-05-21 12:33:05 EDT
 So ... you want _just_ updates-testing to always be filtered for security updates?
Comment 2 Frank Murphy 2012-05-21 12:38:52 EDT
(In reply to comment #1)
>  So ... you want _just_ updates-testing to always be filtered for security
> updates?

That's basically it, I can then fire  a clone of *testing.repo
Name security-testing across to the boxes.
Comment 3 James Antill 2013-05-21 15:56:46 EDT
security/updateinfo stuff is now in core ... however I'm pretty sure this is a terrible idea. What is the result you want to achieve? Maybe the new yum-cron features are what you want?
Comment 4 Frank Murphy 2013-05-22 05:00:35 EDT
It wasn't at the time. 
But, an now going for a centralised nfs based yum-server 
which seems to be going ok. 
Will check out the new yum-cron.
Comment 5 Fedora End Of Life 2013-07-03 22:17:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 03:55:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.